Skip to main content
`Ctrl`+`K`

# DMPlexTransformSetFromOptions

Sets parameters in a transform from values in the options database

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformSetFromOptions(DMPlexTransform tr)

Collective

## Input Parameter

- tr - the `DMPlexTransform` object to set options for

## Options Database Keys

- -dm_plex_transform_type - Set the transform type, e.g. refine_regular

- -dm_plex_transform_label_match_strata - Only label points of the same stratum as the producing point

- -dm_plex_transform_label_replica_inc <inc> - Increment for the label value to be multiplied by the replica number, so that the new label value is oldValue + r * inc

- -dm_plex_transform_active <name> - Name for active mesh label

- -dm_plex_transform_active_values <v0,v1,…> - Values in the active label

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformView()`, `DMPlexTransformCreate()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Examples

src/ts/tutorials/ex30.c
src/dm/label/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex11.c

## Implementations

DMPlexTransformSetFromOptions_Cohesive() in src/dm/impls/plex/transform/impls/extrude/plextrcohesive.c
DMPlexTransformSetFromOptions_Extrude() in src/dm/impls/plex/transform/impls/extrude/plextrextrude.c
DMPlexTransformSetFromOptions_1D() in src/dm/impls/plex/transform/impls/refine/1d/plexref1d.c
DMPlexTransformSetFromOptions_BL() in src/dm/impls/plex/transform/impls/refine/bl/plexrefbl.c
DMPlexTransformSetFromOptions_SBR() in src/dm/impls/plex/transform/impls/refine/sbr/plexrefsbr.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages